/[pcre]/code/trunk/configure
ViewVC logotype

Diff of /code/trunk/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 90 by nigel, Sat Feb 24 21:41:27 2007 UTC revision 91 by nigel, Sat Feb 24 21:41:34 2007 UTC
# Line 874  echo X"$0" | Line 874  echo X"$0" |
874            /^X\(\/\).*/{ s//\1/; q; }            /^X\(\/\).*/{ s//\1/; q; }
875            s/.*/./; q'`            s/.*/./; q'`
876    srcdir=$ac_confdir    srcdir=$ac_confdir
877    if test ! -r $srcdir/$ac_unique_file; then    if test ! -r "$srcdir/$ac_unique_file"; then
878      srcdir=..      srcdir=..
879    fi    fi
880  else  else
881    ac_srcdir_defaulted=no    ac_srcdir_defaulted=no
882  fi  fi
883  if test ! -r $srcdir/$ac_unique_file; then  if test ! -r "$srcdir/$ac_unique_file"; then
884    if test "$ac_srcdir_defaulted" = yes; then    if test "$ac_srcdir_defaulted" = yes; then
885      { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2      { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
886     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
# Line 889  if test ! -r $srcdir/$ac_unique_file; th Line 889  if test ! -r $srcdir/$ac_unique_file; th
889     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
890    fi    fi
891  fi  fi
892  (cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||  (cd $srcdir && test -r "./$ac_unique_file") 2>/dev/null ||
893    { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2    { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
894     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
895  srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`  srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
# Line 1031  Optional Features: Line 1031  Optional Features:
1031    --enable-unicode-properties  enable Unicode properties support    --enable-unicode-properties  enable Unicode properties support
1032    --enable-newline-is-cr  use CR as the newline character    --enable-newline-is-cr  use CR as the newline character
1033    --enable-newline-is-lf  use LF as the newline character    --enable-newline-is-lf  use LF as the newline character
1034      --enable-newline-is-crlf  use CRLF as the newline sequence
1035    --enable-ebcdic         assume EBCDIC coding rather than ASCII    --enable-ebcdic         assume EBCDIC coding rather than ASCII
1036    --disable-stack-for-recursion  disable use of stack recursion when matching    --disable-stack-for-recursion  disable use of stack recursion when matching
1037    
# Line 3546  ia64-*-hpux*) Line 3547  ia64-*-hpux*)
3547    ;;    ;;
3548  *-*-irix6*)  *-*-irix6*)
3549    # Find out which ABI we are using.    # Find out which ABI we are using.
3550    echo '#line 3549 "configure"' > conftest.$ac_ext    echo '#line 3550 "configure"' > conftest.$ac_ext
3551    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3552    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
3553    ac_status=$?    ac_status=$?
# Line 4923  fi Line 4924  fi
4924    
4925    
4926  # Provide some information about the compiler.  # Provide some information about the compiler.
4927  echo "$as_me:4926:" \  echo "$as_me:4927:" \
4928       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
4929  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
4930  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 6047  else Line 6048  else
6048     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6049     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6050     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6051     (eval echo "\"\$as_me:6050: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6051: $lt_compile\"" >&5)
6052     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6053     ac_status=$?     ac_status=$?
6054     cat conftest.err >&5     cat conftest.err >&5
6055     echo "$as_me:6054: \$? = $ac_status" >&5     echo "$as_me:6055: \$? = $ac_status" >&5
6056     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6057       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6058       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 6315  else Line 6316  else
6316     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6317     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6318     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6319     (eval echo "\"\$as_me:6318: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6319: $lt_compile\"" >&5)
6320     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
6321     ac_status=$?     ac_status=$?
6322     cat conftest.err >&5     cat conftest.err >&5
6323     echo "$as_me:6322: \$? = $ac_status" >&5     echo "$as_me:6323: \$? = $ac_status" >&5
6324     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
6325       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
6326       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 6419  else Line 6420  else
6420     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6421     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6422     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
6423     (eval echo "\"\$as_me:6422: $lt_compile\"" >&5)     (eval echo "\"\$as_me:6423: $lt_compile\"" >&5)
6424     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
6425     ac_status=$?     ac_status=$?
6426     cat out/conftest.err >&5     cat out/conftest.err >&5
6427     echo "$as_me:6426: \$? = $ac_status" >&5     echo "$as_me:6427: \$? = $ac_status" >&5
6428     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
6429     then     then
6430       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 8801  else Line 8802  else
8802    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8803    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8804    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8805  #line 8804 "configure"  #line 8805 "configure"
8806  #include "confdefs.h"  #include "confdefs.h"
8807    
8808  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 8901  else Line 8902  else
8902    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8903    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
8904    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
8905  #line 8904 "configure"  #line 8905 "configure"
8906  #include "confdefs.h"  #include "confdefs.h"
8907    
8908  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11241  else Line 11242  else
11242     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
11243     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11244     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
11245     (eval echo "\"\$as_me:11244: $lt_compile\"" >&5)     (eval echo "\"\$as_me:11245: $lt_compile\"" >&5)
11246     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
11247     ac_status=$?     ac_status=$?
11248     cat conftest.err >&5     cat conftest.err >&5
11249     echo "$as_me:11248: \$? = $ac_status" >&5     echo "$as_me:11249: \$? = $ac_status" >&5
11250     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
11251       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
11252       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 11345  else Line 11346  else
11346     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
11347     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11348     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
11349     (eval echo "\"\$as_me:11348: $lt_compile\"" >&5)     (eval echo "\"\$as_me:11349: $lt_compile\"" >&5)
11350     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
11351     ac_status=$?     ac_status=$?
11352     cat out/conftest.err >&5     cat out/conftest.err >&5
11353     echo "$as_me:11352: \$? = $ac_status" >&5     echo "$as_me:11353: \$? = $ac_status" >&5
11354     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
11355     then     then
11356       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 12952  else Line 12953  else
12953     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
12954     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12955     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12956     (eval echo "\"\$as_me:12955: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12956: $lt_compile\"" >&5)
12957     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
12958     ac_status=$?     ac_status=$?
12959     cat conftest.err >&5     cat conftest.err >&5
12960     echo "$as_me:12959: \$? = $ac_status" >&5     echo "$as_me:12960: \$? = $ac_status" >&5
12961     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
12962       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
12963       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 13056  else Line 13057  else
13057     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
13058     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13059     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
13060     (eval echo "\"\$as_me:13059: $lt_compile\"" >&5)     (eval echo "\"\$as_me:13060: $lt_compile\"" >&5)
13061     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
13062     ac_status=$?     ac_status=$?
13063     cat out/conftest.err >&5     cat out/conftest.err >&5
13064     echo "$as_me:13063: \$? = $ac_status" >&5     echo "$as_me:13064: \$? = $ac_status" >&5
13065     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
13066     then     then
13067       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 15296  else Line 15297  else
15297     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
15298     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15299     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15300     (eval echo "\"\$as_me:15299: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15300: $lt_compile\"" >&5)
15301     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15302     ac_status=$?     ac_status=$?
15303     cat conftest.err >&5     cat conftest.err >&5
15304     echo "$as_me:15303: \$? = $ac_status" >&5     echo "$as_me:15304: \$? = $ac_status" >&5
15305     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15306       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15307       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 15564  else Line 15565  else
15565     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
15566     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15567     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15568     (eval echo "\"\$as_me:15567: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15568: $lt_compile\"" >&5)
15569     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
15570     ac_status=$?     ac_status=$?
15571     cat conftest.err >&5     cat conftest.err >&5
15572     echo "$as_me:15571: \$? = $ac_status" >&5     echo "$as_me:15572: \$? = $ac_status" >&5
15573     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
15574       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
15575       # So say no if there are warnings other than the usual output.       # So say no if there are warnings other than the usual output.
# Line 15668  else Line 15669  else
15669     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
15670     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15671     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
15672     (eval echo "\"\$as_me:15671: $lt_compile\"" >&5)     (eval echo "\"\$as_me:15672: $lt_compile\"" >&5)
15673     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
15674     ac_status=$?     ac_status=$?
15675     cat out/conftest.err >&5     cat out/conftest.err >&5
15676     echo "$as_me:15675: \$? = $ac_status" >&5     echo "$as_me:15676: \$? = $ac_status" >&5
15677     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
15678     then     then
15679       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 19650  fi Line 19651  fi
19651  fi;  fi;
19652    
19653    
19654    # Check whether --enable-newline-is-crlf or --disable-newline-is-crlf was given.
19655    if test "${enable_newline_is_crlf+set}" = set; then
19656      enableval="$enable_newline_is_crlf"
19657      if test "$enableval" = "yes"; then
19658      NEWLINE=-DNEWLINE=3338
19659    fi
19660    
19661    fi;
19662    
19663    
19664  # Check whether --enable-ebcdic or --disable-ebcdic was given.  # Check whether --enable-ebcdic or --disable-ebcdic was given.
19665  if test "${enable_ebcdic+set}" = set; then  if test "${enable_ebcdic+set}" = set; then
19666    enableval="$enable_ebcdic"    enableval="$enable_ebcdic"

Legend:
Removed from v.90  
changed lines
  Added in v.91

webmaster@exim.org
ViewVC Help
Powered by ViewVC 1.1.12